<?php
/*
 * Plugin Name: WP Poker League Widget
 * Version: 1.1
 * Plugin URI: http://wppokerleague.com/
 * Description: Display the top XX players in your WP Poker League run poker league.
 * Author: Geoff Manning
 * Author URI: http://geoffmanning.com/
 */
 
 
 /* 
THIS IS COMMERCIAL SOFTWARE. You must abide by the details of the LICENSE.txt file that accompanies this plugin. If a LICENSE.txt file did not come with this plugin, please contact geoffm33@gmail.com
*/


class wppokerleagueWidget extends WP_Widget
{

 /**
  * Declares the wppokerleagueWidget class.
  *
  */
    function wppokerleagueWidget(){
    $widget_ops = array('classname' => 'widget_wppokerleague', 'description' => __( "Widget to display the top X results from a WP Poker League run poker league.") );
    $control_ops = array('width' => 300, 'height' => 300);
    $this->WP_Widget('wppokerleague', __('WP Poker League Widget'), $widget_ops, $control_ops);
    }

  /**
    * Displays the Widget
    *
    */
    function widget($args, $instance){
	
	require_once(ABSPATH."wp-content/plugins/wp-pokerleague/wp-pokerleague.php");

      extract($args);
      $title = apply_filters('widget_title', empty($instance['title']) ? '&nbsp;' : $instance['title']);
      $lineOne = empty($instance['lineOne']) ? '1' : $instance['lineOne'];
      $lineTwo = empty($instance['lineTwo']) ? '10' : $instance['lineTwo'];

	  $title = get_wppokerleague_sname($lineOne);

		
      # Before the widget
      echo $before_widget;

      # The title
      echo $before_title . $title . ' Leaders' . $after_title;

	  display_wppokerleague_minisresults($lineOne,$lineTwo);	

	  
      # After the widget
      echo $after_widget;
  }

  /**
    * Saves the widgets settings.
    *
    */
    function update($new_instance, $old_instance){
      $instance = $old_instance;
      $instance['lineOne'] = strip_tags(stripslashes($new_instance['lineOne']));
      $instance['lineTwo'] = strip_tags(stripslashes($new_instance['lineTwo']));

    return $instance;
  }

  /**
    * Creates the edit form for the widget.
    *
    */
    function form($instance){
      //Defaults
      $instance = wp_parse_args( (array) $instance, array('lineOne'=>'1', 'lineTwo'=>'10') );

      $lineOne = htmlspecialchars($instance['lineOne']);
      $lineTwo = htmlspecialchars($instance['lineTwo']);

      # Output the options
      # Text line 1
      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('lineOne') . '">' . __('Season ID:') . ' <input style="width: 200px;" id="' . $this->get_field_id('lineOne') . '" name="' . $this->get_field_name('lineOne') . '" type="text" value="' . $lineOne . '" /></label></p>';
      # Text line 2
      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('lineTwo') . '">' . __('# to Show:') . ' <input style="width: 200px;" id="' . $this->get_field_id('lineTwo') . '" name="' . $this->get_field_name('lineTwo') . '" type="text" value="' . $lineTwo . '" /></label></p>';
  }

}// END class

/**
  * Register The widget.
  *
  * Calls 'widgets_init' action after the WP Poker League widget has been registered.
  */
  function wppokerleagueInit() {
  register_widget('wppokerleagueWidget');
  }
  add_action('widgets_init', 'wppokerleagueInit');
?>
